Subject: Re: bug#61400: Different filling for verbatim macros

From: Tassilo Horn <[email-masked]>
Date: Fri, 10 Feb 2023 11:03:27 +0100

Arash Esbati <[email-masked]> writes:

> thanks for pushing me into that again.  I did already but I missed
> what's happening in that function directly in the first form:
>
>   (fill-move-to-break-point linebeg)
>
> It moves the point to different positions.  In the example above, put
> point after \path{bar} and do:
>
>   M-: (fill-move-to-break-point (line-beginning-position)) RET
>
> and the point before and.  Now go after \verb|bar| and do the same, no
> is point after and.  Can you reproduce this?

Yes, I can.  BTW, only the last sentence is broken correctly, all others
are wrapped around at a too early position.

Hm, (fill-nobreak-p) returns nil only on the \ of the \verb|bar| but
returns non-nil on each \ of the other verbatim macros.  (I can't look
any further now so it's your turn again. ;-))

Bye,
Tassilo